Package org.opensaml.spring.credential

# Enum Class AbstractBasicCredentialFactoryBean.SecretKeyEncoding

java.lang.Object
java.lang.Enum<AbstractBasicCredentialFactoryBean.SecretKeyEncoding>
org.opensaml.spring.credential.AbstractBasicCredentialFactoryBean.SecretKeyEncoding

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractBasicCredentialFactoryBean.SecretKeyEncoding>`, `Constable`

Enclosing class:
  AbstractBasicCredentialFactoryBean

public static enum AbstractBasicCredentialFactoryBean.SecretKeyEncoding extends Enum<AbstractBasicCredentialFactoryBean.SecretKeyEncoding>
Form of encoding for SecretKey info.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`base64`
Base64 encoding.
`binary`
Raw binary encoding.
`hex`
Hexidecimal encoding.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SecretKeyEncoding()`

## Method Summary

Modifier and Type
Method
Description
`static AbstractBasicCredentialFactoryBean.SecretKeyEncoding`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractBasicCredentialFactoryBean.SecretKeyEncoding[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### binary

public static final AbstractBasicCredentialFactoryBean.SecretKeyEncoding binary
Raw binary encoding.

### hex

public static final AbstractBasicCredentialFactoryBean.SecretKeyEncoding hex
Hexidecimal encoding.

### base64

public static final AbstractBasicCredentialFactoryBean.SecretKeyEncoding base64
Base64 encoding.

## Constructor Details

### SecretKeyEncoding

private SecretKeyEncoding()

## Method Details

### values

public static AbstractBasicCredentialFactoryBean.SecretKeyEncoding[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractBasicCredentialFactoryBean.SecretKeyEncoding valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null